%define base_name       digester
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define version         1.4.1
%define release         1jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Jakarta Commons Digester Package
License:        Apache Software License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.apache.org/dist/jakarta/commons/digester/source/commons-digester-1.4.1-src.tar.gz
URL:            http://jakarta.apache.org/commons/digester/
BuildRequires:  ant
BuildRequires:  jakarta-commons-beanutils >= 1.3
BuildRequires:  jakarta-commons-collections >= 2.0
BuildRequires:  jakarta-commons-logging >= 1.0
BuildRequires:  junit >= 3.7
Requires:       jakarta-commons-beanutils >= 1.3
Requires:       jakarta-commons-collections >= 2.0
Requires:       jakarta-commons-logging >= 1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
The goal of Digester project is to create and maintain a XML -> Java
object mapping package written in the Java language to be distributed
under the ASF license.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{short_name}-%{version}-src

# -----------------------------------------------------------------------------

%build
ant \
  -Djaxp.parser.jar=%{javadir}/jaxp_parser_impl.jar \
  -Djaxp.jaxp.jar=%{javadir}/xml-commons-apis.jar \
  -Dcommons-collections.jar=%{javadir}/commons-collections.jar \
  -Dcommons-logging.jar=%{javadir}/commons-logging.jar \
  -Dcommons-beanutils.jar=%{javadir}/commons-beanutils.jar \
  -Djunit.home=%{javadir} \
  dist test

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt PROPOSAL.html STATUS.html RELEASE-NOTES.txt
%{javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Mon Mar  3 2003 Ville Skytt <ville.skytta at iki.fi> - 1.4.1-1jpp
- Update to 1.4.1.
- No macros in URL and SourceX tags.
- Run unit tests during build.
- Remove spurious api/ from installed javadoc path.
- Some spec file cleanup.

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-2jpp
- fix ASF license and add packager tag

* Fri Feb 14 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp
- 1.3

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-3jpp
- update to meet new jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2-1jpp
- 1.2
- added short names in %{javadir}, as does jakarta developpers
- first jPackage release
